=== debian/control ===
Source: obc
Section: devel
Priority: optional
Maintainer: Mike Spivey <mike@comlab.ox.ac.uk>
Build-Depends: debhelper (>= 4.0.0), autotools-dev, libgc-dev, tcl8.4, ocaml|ocaml-nox
Standards-Version: 3.6.2

Package: obc
Architecture: any
Depends: ${shlibs:Depends}
Description: Oxford Oberon-2 compiler
 This compiler translates Oberon-2 into a portable bytecode, and comes
 with an interpreter for the bytecode.
